State of macOS

With the announcement of macOS Catalina 10.15, coming this fall, we’re recommending our customers upgrade to a minimum of 10.13 (High Sierra) and preferably 10.14 (Mojave). Earlier versions will be unsupported and won’t be getting updates. This means no security updates and software will stop being developed for these operating systems. Mojave is stable and well on it’s way now. Although we do much support remotely recently, we’re doing these upgrades carefully and in person for the most part to ensure they go smoothly and we don’t recommend they be done by your staff during crunch time. As usual, compatibility with applications need to be considered as well.

Leave a Reply:

Gravatar Image